package com.landray.kmss.sys.attachment.thirdSfs.rest.controller;

import org.springframework.web.bind.annotation.GetMapping;
import com.alibaba.fastjson.JSONObject;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletRequest;
import org.slf4j.LoggerFactory;
import org.slf4j.Logger;
import com.landray.kmss.web.annotation.RestApi;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.landray.kmss.sys.attachment.thirdSfs.rest.extend.SysAttExtendDianjuRestService;
import com.landray.kmss.sys.attachment.thirdSfs.rest.SysAttThirdController;

@RestController
@RequestMapping({ "/api/sys-attachment/dianju" })
@RestApi(docUrl = "/sys/attachment/restservice/sysAttDianJuRestServiceHelp.jsp", name = "SysAttDianJuController", resourceKey = "sys-attachment:SysAttDianJuController.title")
public class SysAttDianJuController extends SysAttThirdController<SysAttExtendDianjuRestService>
{
    private static final Logger logger;
    
    static {
        logger = LoggerFactory.getLogger(SysAttDianJuController.class);
    }
    
    @GetMapping({ "/download" })
    public void download(final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        final JSONObject params = new JSONObject();
        params.put("emptyMapping", (Object)this.emptyMapping);
        params.put("request", (Object)request);
        params.put("response", (Object)response);
        this.getSysAttStandardThirdRestService(request).download(params);
    }
}
